org.apache.jmeter.report.utils

## Class MetricUtils

- java.lang.Object
- - org.apache.jmeter.report.utils.MetricUtils

-     public class MetricUtils
      extends Object

  Since:
    5.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ASSERTION_FAILED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isSuccessCode(int code)`
    `static boolean` | `isSuccessCode(String codeAsString)` Determine if the HTTP status code is successful or not i.e.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ASSERTION_FAILED

          public static final String ASSERTION_FAILED

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isSuccessCode

          public static boolean isSuccessCode(String codeAsString)

      Determine if the HTTP status code is successful or not i.e. in range 200 to 399 inclusive
      Parameters:
        `codeAsString` - status code to check
      Returns:
        whether in range 200-399 or not

    - #### isSuccessCode

          public static boolean isSuccessCode(int code)

      Parameters:
        `code` - Response code
      Returns:
        true if code is between 200 and 399 included

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.